{
  "name": "uni2work",
  "version": "27.4.56",
  "description": "",
  "keywords": [],
  "author": "",
  "license": "AGPL-3.0-or-later",
  "scripts": {
    "start": "npm-run-all frontend:build --parallel \"frontend:build:watch\" \"yesod:start\"",
    "test": "run-s frontend:test yesod:test i18n:test",
    "lint": "run-s frontend:lint yesod:lint",
    "build": "run-s frontend:build yesod:build",
    "yesod:db": "./db.sh",
    "yesod:start": "./start.sh",
    "yesod:lint": "./hlint.sh",
    "yesod:test": "./test.sh",
    "yesod:test:watch": "./test.sh --file-watch",
    "yesod:build": "./build.sh",
    "yesod:build:watch": "./build.sh --file-watch",
    "frontend:lint": "eslint frontend/src",
    "frontend:test": "karma start --conf karma.conf.js",
    "frontend:test:watch": "karma start --conf karma.conf.js --single-run false",
    "frontend:build": "webpack --progress",
    "frontend:build:watch": "webpack --watch --progress",
    "i18n:test": "./missing-translations.sh",
    "prerelease": "./is-clean.sh && npm run test",
    "release": "./release.sh",
    "postrelease": "git push --follow-tags",
    "parse-changelog": "changelog-parser ./CHANGELOG.md > changelog.json"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged",
      "commit-msg": "commitlint --edit $HUSKY_GIT_PARAMS"
    }
  },
  "lint-staged": {
    "frontend/src/**/*.js": [
      "eslint",
      "git add"
    ]
  },
  "browserslist": [
    "defaults"
  ],
  "devDependencies": {
    "@babel/cli": "^7.17.10",
    "@babel/core": "^7.18.2",
    "@babel/eslint-parser": "^7.18.2",
    "@babel/plugin-proposal-class-properties": "^7.17.12",
    "@babel/plugin-proposal-decorators": "^7.18.2",
    "@babel/plugin-proposal-private-property-in-object": "^7.17.12",
    "@babel/plugin-transform-modules-commonjs": "^7.18.2",
    "@babel/plugin-transform-runtime": "^7.18.2",
    "@babel/preset-env": "^7.18.2",
    "@commitlint/cli": "^17.0.2",
    "@commitlint/config-conventional": "^17.0.2",
    "@fortawesome/fontawesome-pro": "^6.1.1",
    "autoprefixer": "^10.4.7",
    "babel-core": "^6.26.3",
    "babel-loader": "^8.2.5",
    "babel-plugin-syntax-dynamic-import": "^6.18.0",
    "babel-plugin-transform-decorators-legacy": "^1.3.5",
    "babel-preset-env": "^1.7.0",
    "babel-preset-es2015": "^6.24.1",
    "changelog-parser": "^2.8.1",
    "clean-webpack-plugin": "^4.0.0",
    "copy-webpack-plugin": "^11.0.0",
    "css-loader": "^6.7.1",
    "eslint": "^8.17.0",
    "file-loader": "^6.2.0",
    "fs-extra": "^10.1.0",
    "glob": "^8.0.3",
    "html-webpack-plugin": "^5.5.0",
    "husky": "^8.0.1",
    "jasmine-core": "^4.1.1",
    "js-yaml": "^4.1.0",
    "karma": "^6.3.20",
    "karma-chrome-launcher": "^3.1.1",
    "karma-cli": "^2.0.0",
    "karma-jasmine": "^5.0.1",
    "karma-jasmine-html-reporter": "^2.0.0",
    "karma-mocha-reporter": "^2.2.5",
    "karma-webpack": "^5.0.0",
    "lint-staged": "^13.0.1",
    "mini-css-extract-plugin": "^2.6.0",
    "npm-run-all": "^4.1.5",
    "null-loader": "^4.0.1",
    "optimize-css-assets-webpack-plugin": "^6.0.1",
    "postcss-loader": "^7.0.0",
    "postcss-preset-env": "^7.7.1",
    "real-favicon-webpack-plugin": "^0.2.3",
    "remove-files-webpack-plugin": "^1.5.0",
    "request": "^2.88.2",
    "request-promise": "^4.2.6",
    "resolve-url-loader": "^5.0.0",
    "sass": "^1.52.3",
    "sass-loader": "^13.0.0",
    "semver": "^7.3.7",
    "standard-version": "^9.5.0",
    "standard-version-updater-yaml": "^1.0.3",
    "style-loader": "^3.3.1",
    "terser-webpack-plugin": "^5.3.3",
    "tmp": "^0.2.1",
    "typeface-roboto": "1.1.13",
    "typeface-source-code-pro": "^1.1.13",
    "typeface-source-sans-pro": "1.1.13",
    "webpack": "^5.73.0",
    "webpack-cli": "^4.9.2",
    "webpack-manifest-plugin": "^5.0.0"
  },
  "dependencies": {
    "@babel/runtime": "^7.18.3",
    "@juggle/resize-observer": "^3.3.1",
    "core-js": "^3.22.8",
    "css.escape": "^1.5.1",
    "js-cookie": "^3.0.1",
    "lodash.debounce": "^4.0.8",
    "lodash.defer": "^4.1.0",
    "lodash.throttle": "^4.1.1",
    "moment": "^2.29.3",
    "npm": "^8.12.1",
    "sodium-javascript": "^0.8.0",
    "toposort": "^2.0.2",
    "whatwg-fetch": "^3.6.2"
  }
}
